<?php


namespace AutoAdmin\Bundle\Seo\Model;

use AutoAdmin\Bundle\Seo\Entity\SeoMetadata;
use Doctrine\ORM\Mapping as ORM;

trait SeoContentTranslationTrait
{
    #[ORM\Embedded(class: 'AutoAdmin\Bundle\Seo\Entity\SeoMetadata', columnPrefix: 'seo_')]
    protected ?SeoMetadata $seoMetadata = null;

    public function getSeoMetadata(): ?SeoMetadata
    {
        return $this->seoMetadata;
    }

    public function setSeoMetadata(?SeoMetadata $seoMetadata): void
    {
        $this->seoMetadata = $seoMetadata;
    }
}